View Issue Details

IDProjectCategoryView StatusLast Update
0003572SymmetricDSImprovementpublic2018-06-05 16:55
ReportermmichalekAssigned Tommichalek 
Prioritynormal 
Status closedResolutionfixed 
Product Version3.9.8 
Target Version3.9.8Fixed in Version3.9.8 
Summary0003572: Improve SymmetricDS acknowledgement logging
DescriptionEncountered a situation where a node was missing its sym_node_security. This resulted in an ack failure logged like this (which is later followed by the stack trace):

2018-05-21 16:46:55,653 WARN [CLIENT] [DataLoaderService] [client-pull-default-3] Ack was not sent successfully on try number 2. null

Improve this logging to be more thorough and not log "null" at the end.

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: 3.9 af979862

2018-05-22 10:34:10

mmichalek

Details Diff
0003572: Improve SymmetricDS acknowledgement logging
0003572
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/AbstractService.java Diff File

Issue History

Date Modified Username Field Change
2018-05-22 10:33 mmichalek New Issue
2018-05-22 10:33 mmichalek Status new => assigned
2018-05-22 10:33 mmichalek Assigned To => mmichalek
2018-05-22 11:00 mmichalek Changeset attached => SymmetricDS 3.9 af979862
2018-05-24 13:30 mmichalek Status assigned => resolved
2018-05-24 13:30 mmichalek Resolution open => fixed
2018-05-24 13:30 mmichalek Fixed in Version => 3.9.8
2018-06-05 16:55 mmichalek Status resolved => closed